Skip to main content

Timeout Voids


When you do not receive a response message after sending a capture, sale, refund, or credit request, use this payment service to void the transaction you requested.

Include the clientReferenceInformation.transactionId field in the original request for a capture, sale, refund, or credit. The value of the merchant transaction ID must be unique for 60 days.

When the original transaction fails, the response message for the void request includes these fields:

  • processorInformation.responseCode
  • voidAmountDetails.originalTransactionAmount

Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, GPX, OmniPay Direct, Rede, SIX,

Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global,

Endpoints

POST /pts/v2/voids/

POST /pts/v2/voids/

Example

{  "clientReferenceInformation": {    "transactionId": "987654321"  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/voids/6541933390746728203005"    }  },  "clientReferenceInformation": {    "code": "1654193339056"  },  "id": "6541933390746728203005",  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "status": "VOIDED",  "submitTimeUtc": "2023-06-02T18:08:59Z",  "voidAmountDetails": {    "currency": "usd",    "voidAmount": "100.00"  }}
FieldDescription
clientReferenceInformation.transactionIdIdentifier that links the void request to the original request.

Last published: September 29, 2026